# -*- coding: utf-8 -*-

from rest_framework import serializers

from .. import models


class CategorySerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Category
        fields = '__all__'


class CategorySerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.Category
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class CategorySerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.Category
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class NewsSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.News
        fields = '__all__'


class NewsSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.News
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class NewsSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.News
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')
