# -*- coding: utf-8 -*-

from django.conf.urls import url

from . import views


urlpatterns = [
    url(
        r'^category/$',
        views.CategoryList.as_view(),
        name='category_list'
    ),
    url(
        r'^category/(?P<pk>\d+)/retrieve/$',
        views.CategoryRetrieve.as_view(),
        name='category_retrieve'
    ),
    url(
        r'^category/create/$',
        views.CategoryCreate.as_view(),
        name='category_create'
    ),
    url(
        r'^category/(?P<pk>\d+)/update/$',
        views.CategoryUpdate.as_view(),
        name='category_update'
    ),
    url(
        r'^news/$',
        views.NewsList.as_view(),
        name='news_list'
    ),
    url(
        r'^news/(?P<pk>\d+)/retrieve/$',
        views.NewsRetrieve.as_view(),
        name='news_retrieve'
    ),
    url(
        r'^news/create/$',
        views.NewsCreate.as_view(),
        name='news_create'
    ),
    url(
        r'^news/(?P<pk>\d+)/update/$',
        views.NewsUpdate.as_view(),
        name='news_update'
    ),
]
