# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from rest_framework import serializers

from .. import models


class NewsSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.News
        fields = (
            'categories', 'title', 'slug', 'event_date',
            'small_image', 'big_image', 'get_small_cropping', 'get_big_cropping',
            'short_description', 'full_description', 'get_url_file', 'link'
        )
