# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items
from jmb.core.admin.menu import register_menu

app_menu_item = items.MenuItem(
    # GENERAL
    _('news'),
    reverse('admin:app_list', kwargs={'app_label': 'news'}),
    children=[
        items.MenuItem(_('add news'), reverse('admin:news_news_add', )),
        items.MenuItem(_('news list'), reverse('admin:news_news_changelist', )),
        items.MenuItem(_('add category'), reverse('admin:news_category_add', )),
        items.MenuItem(_('category list'), reverse('admin:news_category_changelist', )),
    ]
)

register_menu(app_menu_item, 'thux.news')
